%define pkg_name        B-Size
%define pkg_version     0.09
%define rpm_pkg_version 0.09
%define rpm_pkg_release 1.n0i.8


Summary:       Perl module to measure size of Perl OPs and SVs
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PG/PGOLLUCCI/%{pkg_name}-%{pkg_version}.tar.gz


BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools

BuildRequires: perl(ExtUtils::MakeMaker)


%description
The B::Size and B::TerseSize modules attempt to measure the size of Perl op
codes.  The output of B::TerseSize is similar to that of B::Terse, but
includes the size of each OP in the tree and the PADLIST (subroutine lexical
variables).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.09

* Tue May 30 2006 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.7
- version 0.08

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.06-2.n0i.6
- automatic rebuild (perl 5.8.8)

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.06-1.n0i.5
- version 0.06

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.05-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.05-3.n0i.3
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.05-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Mon Jul 05 2004 Marius FERARU <altblue@n0i.net> 0:0.05-1.n0i.1
- initial packaging
